Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2018.01.05
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.xz?/GeoLiteCity-%{version}.dat.xz
# Source0-md5:	726c1940a7d76a5c4af892812cc1d59b
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz?/GeoLiteCityv6-%{version}.dat.gz
# Source1-md5:	e2064dfd853125a60f342e94c8422d5e
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

xz -d GeoLiteCity-%{version}.dat.xz
gunzip GeoLiteCityv6-%{version}.dat.gz

%build
# get file DATE in GMT timezone
filedate() {
	TZ=GMT stat -c '%y' "$1" | awk '{print $1}'
}

# use newest file date as version
d1=$(filedate GeoLiteCity-%{version}.dat)
d2=$(filedate GeoLiteCityv6-%{version}.dat)
if [ "$(echo $d1 | tr -d -)" -gt "$(echo $d2 | tr -d -)" ]; then
	d=$d1
else
	d=$d2
fi

ver=$(echo $d | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCity.dat
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

cp -p GeoLiteCityv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCityv6.dat
ln -s GeoLiteCityv6.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCityv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Fri Jan 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-City.git;a=log;h=master

* Fri Jan 05 2018 Elan Ruusamäe <glen@pld-linux.org> 98123b9
- updated to 2018.01.05

* Wed Dec 06 2017 Elan Ruusamäe <glen@pld-linux.org> 0cdd59a
- updated to 2017.12.06

* Mon Nov 06 2017 Elan Ruusamäe <glen@pld-linux.org> 2d1c606
- updated to 2017.11.06

* Wed Oct 04 2017 Elan Ruusamäe <glen@pld-linux.org> 8b46e76
- updated to 2017.10.04

* Thu Sep 07 2017 Elan Ruusamäe <glen@pld-linux.org> 899ed9c
- updated to 2017.09.06

* Thu Aug 03 2017 Elan Ruusamäe <glen@pld-linux.org> 77e0f02
- updated to 2017.08.03

* Tue Jul 04 2017 Elan Ruusamäe <glen@pld-linux.org> ac99f4d
- updated to 2017.07.04

* Thu Jun 08 2017 Elan Ruusamäe <glen@delfi.ee> a5a35f8
- updated to 2017.06.08

* Tue May 02 2017 Elan Ruusamäe <glen@delfi.ee> 8302cd8
- updated to 2017.05.02

* Thu Apr 06 2017 Elan Ruusamäe <glen@delfi.ee> 8b45b18
- updated to 2017.04.06

* Tue Apr 04 2017 Elan Ruusamäe <glen@delfi.ee> 193567a
- updated to 2017.04.04

* Tue Mar 07 2017 Elan Ruusamäe <glen@delfi.ee> e182e4e
- updated to 2017.03.07

* Tue Feb 07 2017 Elan Ruusamäe <glen@delfi.ee> 0d4b169
- updated to 2017.02.07

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> f7f1696
- updated to 2017.01.04

* Wed Dec 07 2016 Elan Ruusamäe <glen@delfi.ee> 2253ee9
- updated to 2016.12.07

* Tue Dec 06 2016 Elan Ruusamäe <glen@delfi.ee> 9770ceb
- updated to 2016.12.06

* Tue Nov 01 2016 Elan Ruusamäe <glen@delfi.ee> 917e0be
- updated to 2016.11.01

* Mon Oct 31 2016 Elan Ruusamäe <glen@delfi.ee> 123731f
- updated to 2016.10.31

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> 77aaccb
- updated to 2016.10.04

* Fri Sep 30 2016 Elan Ruusamäe <glen@delfi.ee> 1b53a8f
- updated to 2016.09.30

